version: '3'

services:
  video-recorder:
    container_name: live_recorder
    image: live_recorder:latest
    # restart: unless-stopped
    build: .
    volumes:
      - ./recordings:/app/recordings
    environment:
      - DESIRED_TZ=${DESIRED_TZ:-Europe/Paris}
      - STREAM_URL=${STREAM_URL:-http://51.210.1.13:18000/tvt/hls/playlist.m3u8}
      - DURATION=${DURATION:-600}
      - CAPTURE_INTERVAL=${CAPTURE_INTERVAL:-10}
      - MAX_FROZEN_DURATION=${MAX_FROZEN_DURATION:-30}
      - MIN_FILE_SIZE=${MIN_FILE_SIZE:-1024}
 